{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "scrolled": false
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<Figure size 1850x82950 with 79 Axes>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "%load_ext autoreload\n",
    "%autoreload 2\n",
    "\n",
    "import numpy as np\n",
    "from common import parse_yaml_cfg\n",
    "import plot_seq_1\n",
    "\n",
    "inDir = \"/home/kevin/temp/p_ac_3h\"\n",
    "cfgFn = \"p_ac.yml\"\n",
    "pitchL = np.arange(48,60)\n",
    "pitchL = np.arange(36,60)\n",
    "pitchL = [40,41,42,43,44,45,46,47,48,49,50,51,52,60,61,62,63]\n",
    "pitchL = [23,24,25,26,27,28,29,30,31,32,33,34,35,36]\n",
    "pitchL = pitchL + [37,38,39,40,41,42,43,44,45,46,47,48,49,50,51]\n",
    "pitchL = pitchL + [52,53,54,55,56,57,58,59,60,61,62,63,64]\n",
    "pitchL = pitchL + [ 64,65,66,67,68,69,70,71,72]\n",
    "pitchL = pitchL + [ 73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89]\n",
    "pitchL = pitchL + [ 91,92,93,94,95,96,97,98,99,100,101]\n",
    "\n",
    "cfg = parse_yaml_cfg( cfgFn )\n",
    "\n",
    "plot_seq_1.plot_us_db_curves_main( inDir, cfg, pitchL, plotTakesFl=True )\n",
    "\n",
    "#plot_seq_1.plot_min_max_db( inDir, cfg, pitchL=pitchL )"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.7.5"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
